diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/comment-template.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/comment-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/comment-template.php	2012-10-05 11:34:32.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/comment-template.php	2013-07-05 16:59:10.000000000 -0500
***************
*** 393,400 ****
  /**
   * Retrieve the excerpt of the current comment.
   *
!  * Will cut each word and only output the first 20 words with '...' at the end.
!  * If the word count is less than 20, then no truncating is done and no '...'
   * will appear.
   *
   * @since 1.5.0
--- 393,400 ----
  /**
   * Retrieve the excerpt of the current comment.
   *
!  * Will cut each word and only output the first 20 words with '&hellip;' at the end.
!  * If the word count is less than 20, then no truncating is done and no '&hellip;'
   * will appear.
   *
   * @since 1.5.0
***************
*** 419,425 ****
  	for ($i=0; $i<$k; $i++) {
  		$excerpt .= $blah[$i] . ' ';
  	}
! 	$excerpt .= ($use_dotdotdot) ? '...' : '';
  	return apply_filters('get_comment_excerpt', $excerpt);
  }
  
--- 419,425 ----
  	for ($i=0; $i<$k; $i++) {
  		$excerpt .= $blah[$i] . ' ';
  	}
! 	$excerpt .= ($use_dotdotdot) ? '&hellip;' : '';
  	return apply_filters('get_comment_excerpt', $excerpt);
  }
  
***************
*** 516,522 ****
   * @return string The link to the comments
   */
  function get_comments_link($post_id = 0) {
! 	return get_permalink($post_id) . '#comments';
  }
  
  /**
--- 516,522 ----
   * @return string The link to the comments
   */
  function get_comments_link($post_id = 0) {
! 	return apply_filters( 'get_comments_link', get_permalink( $post_id ) . '#comments', $post_id );
  }
  
  /**
***************
*** 532,538 ****
  		_deprecated_argument( __FUNCTION__, '0.72' );
  	if ( !empty( $deprecated_2 ) )
  		_deprecated_argument( __FUNCTION__, '1.3' );
! 	echo get_comments_link();
  }
  
  /**
--- 532,538 ----
  		_deprecated_argument( __FUNCTION__, '0.72' );
  	if ( !empty( $deprecated_2 ) )
  		_deprecated_argument( __FUNCTION__, '1.3' );
! 	echo esc_url( get_comments_link() );
  }
  
  /**
***************
*** 1244,1254 ****
  			case 'div':
  				break;
  			case 'ol':
! 				echo "<ol class='children'>\n";
  				break;
  			default:
  			case 'ul':
! 				echo "<ul class='children'>\n";
  				break;
  		}
  	}
--- 1244,1254 ----
  			case 'div':
  				break;
  			case 'ol':
! 				echo '<ol class="children">' . "\n";
  				break;
  			default:
  			case 'ul':
! 				echo '<ul class="children">' . "\n";
  				break;
  		}
  	}
***************
*** 1268,1278 ****
  			case 'div':
  				break;
  			case 'ol':
! 				echo "</ol>\n";
  				break;
  			default:
  			case 'ul':
! 				echo "</ul>\n";
  				break;
  		}
  	}
--- 1268,1278 ----
  			case 'div':
  				break;
  			case 'ol':
! 				echo "</ol><!-- .children -->\n";
  				break;
  			default:
  			case 'ul':
! 				echo "</ul><!-- .children -->\n";
  				break;
  		}
  	}
***************
*** 1295,1301 ****
  	 *  2.2
  	 *
  	 */
! 	function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output ) {
  
  		if ( !$element )
  			return;
--- 1295,1301 ----
  	 *  2.2
  	 *
  	 */
! 	function display_element( $element, &$children_elements, $max_depth, $depth, $args, &$output ) {
  
  		if ( !$element )
  			return;
***************
*** 1325,1342 ****
  	 * @param int $depth Depth of comment in reference to parents.
  	 * @param array $args
  	 */
! 	function start_el( &$output, $comment, $depth, $args, $id = 0 ) {
  		$depth++;
  		$GLOBALS['comment_depth'] = $depth;
  		$GLOBALS['comment'] = $comment;
  
! 		if ( !empty($args['callback']) ) {
! 			call_user_func($args['callback'], $comment, $args, $depth);
  			return;
  		}
  
! 		extract($args, EXTR_SKIP);
  
  		if ( 'div' == $args['style'] ) {
  			$tag = 'div';
  			$add_below = 'comment';
--- 1325,1396 ----
  	 * @param int $depth Depth of comment in reference to parents.
  	 * @param array $args
  	 */
! 	function start_el( &$output, $comment, $depth = 0, $args = array(), $id = 0 ) {
  		$depth++;
  		$GLOBALS['comment_depth'] = $depth;
  		$GLOBALS['comment'] = $comment;
  
! 		if ( !empty( $args['callback'] ) ) {
! 			call_user_func( $args['callback'], $comment, $args, $depth );
  			return;
  		}
  
! 		if ( ( 'pingback' == $comment->comment_type || 'trackback' == $comment->comment_type ) && $args['short_ping'] ) {
! 			$this->ping( $comment, $depth, $args );
! 		} elseif ( 'html5' === $args['format'] ) {
! 			$this->html5_comment( $comment, $depth, $args );
! 		} else {
! 			$this->comment( $comment, $depth, $args );
! 		}
! 	}
! 
! 	/**
! 	 * @see Walker::end_el()
! 	 * @since 2.7.0
! 	 *
! 	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param object $comment
! 	 * @param int $depth Depth of comment.
! 	 * @param array $args
! 	 */
! 	function end_el( &$output, $comment, $depth = 0, $args = array() ) {
! 		if ( !empty( $args['end-callback'] ) ) {
! 			call_user_func( $args['end-callback'], $comment, $args, $depth );
! 			return;
! 		}
! 		if ( 'div' == $args['style'] )
! 			echo "</div><!-- #comment-## -->\n";
! 		else
! 			echo "</li><!-- #comment-## -->\n";
! 	}
! 
! 	/**
! 	 * @since 3.6
! 	 * @access protected
! 	 *
! 	 * @param object $comment
! 	 * @param int $depth Depth of comment.
! 	 * @param array $args
! 	 */
! 	protected function ping( $comment, $depth, $args ) {
! 		$tag = ( 'div' == $args['style'] ) ? 'div' : 'li';
! ?>
! 		<<?php echo $tag; ?> id="comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>
! 			<div class="comment-body">
! 				<?php _e( 'Pingback:' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( 'Edit' ), '<span class="edit-link">', '</span>' ); ?>
! 			</div>
! <?php
! 	}
  
+ 	/**
+ 	 * @since 3.6
+ 	 * @access protected
+ 	 *
+ 	 * @param object $comment Comment to display.
+ 	 * @param int $depth Depth of comment.
+ 	 * @param array $args Optional args.
+ 	 */
+ 	protected function comment( $comment, $depth, $args ) {
  		if ( 'div' == $args['style'] ) {
  			$tag = 'div';
  			$add_below = 'comment';
***************
*** 1345,1374 ****
  			$add_below = 'div-comment';
  		}
  ?>
! 		<<?php echo $tag ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment-<?php comment_ID() ?>">
  		<?php if ( 'div' != $args['style'] ) : ?>
! 		<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
  		<?php endif; ?>
  		<div class="comment-author vcard">
! 		<?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, $args['avatar_size'] ); ?>
! 		<?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
  		</div>
! <?php if ($comment->comment_approved == '0') : ?>
! 		<em class="comment-awaiting-moderation"><?php _e('Your comment is awaiting moderation.') ?></em>
  		<br />
! <?php endif; ?>
  
! 		<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>">
  			<?php
  				/* translators: 1: date, 2: time */
! 				printf( __('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'&nbsp;&nbsp;','' );
  			?>
  		</div>
  
  		<?php comment_text() ?>
  
  		<div class="reply">
! 		<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
  		</div>
  		<?php if ( 'div' != $args['style'] ) : ?>
  		</div>
--- 1399,1428 ----
  			$add_below = 'div-comment';
  		}
  ?>
! 		<<?php echo $tag; ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?> id="comment-<?php comment_ID(); ?>">
  		<?php if ( 'div' != $args['style'] ) : ?>
! 		<div id="div-comment-<?php comment_ID(); ?>" class="comment-body">
  		<?php endif; ?>
  		<div class="comment-author vcard">
! 			<?php if ( 0 != $args['avatar_size'] ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
! 			<?php printf( __( '<cite class="fn">%s</cite> <span class="says">says:</span>' ), get_comment_author_link() ); ?>
  		</div>
! 		<?php if ( '0' == $comment->comment_approved ) : ?>
! 		<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.' ) ?></em>
  		<br />
! 		<?php endif; ?>
  
! 		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
  			<?php
  				/* translators: 1: date, 2: time */
! 				printf( __( '%1$s at %2$s' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)' ), '&nbsp;&nbsp;', '' );
  			?>
  		</div>
  
  		<?php comment_text() ?>
  
  		<div class="reply">
! 			<?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
  		</div>
  		<?php if ( 'div' != $args['style'] ) : ?>
  		</div>
***************
*** 1377,1401 ****
  	}
  
  	/**
! 	 * @see Walker::end_el()
! 	 * @since 2.7.0
  	 *
! 	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param object $comment
  	 * @param int $depth Depth of comment.
! 	 * @param array $args
  	 */
! 	function end_el(&$output, $comment, $depth = 0, $args = array() ) {
! 		if ( !empty($args['end-callback']) ) {
! 			call_user_func($args['end-callback'], $comment, $args, $depth);
! 			return;
! 		}
! 		if ( 'div' == $args['style'] )
! 			echo "</div>\n";
! 		else
! 			echo "</li>\n";
  	}
- 
  }
  
  /**
--- 1431,1478 ----
  	}
  
  	/**
! 	 * @since 3.6
! 	 * @access protected
  	 *
! 	 * @param object $comment Comment to display.
  	 * @param int $depth Depth of comment.
! 	 * @param array $args Optional args.
  	 */
! 	protected function html5_comment( $comment, $depth, $args ) {
! 		$tag = ( 'div' === $args['style'] ) ? 'div' : 'li';
! ?>
! 		<<?php echo $tag; ?> id="comment-<?php comment_ID(); ?>" <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?>>
! 			<article id="div-comment-<?php comment_ID(); ?>" class="comment-body">
! 				<footer class="comment-meta">
! 					<div class="comment-author vcard">
! 						<?php if ( 0 != $args['avatar_size'] ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
! 						<?php printf( __( '%s <span class="says">says:</span>' ), sprintf( '<b class="fn">%s</b>', get_comment_author_link() ) ); ?>
! 					</div><!-- .comment-author -->
! 
! 					<div class="comment-metadata">
! 						<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
! 							<time datetime="<?php comment_time( 'c' ); ?>">
! 								<?php printf( _x( '%1$s at %2$s', '1: date, 2: time' ), get_comment_date(), get_comment_time() ); ?>
! 							</time>
! 						</a>
! 						<?php edit_comment_link( __( 'Edit' ), '<span class="edit-link">', '</span>' ); ?>
! 					</div><!-- .comment-metadata -->
! 
! 					<?php if ( '0' == $comment->comment_approved ) : ?>
! 					<p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.' ); ?></p>
! 					<?php endif; ?>
! 				</footer><!-- .comment-meta -->
! 
! 				<div class="comment-content">
! 					<?php comment_text(); ?>
! 				</div><!-- .comment-content -->
! 
! 				<div class="reply">
! 					<?php comment_reply_link( array_merge( $args, array( 'add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
! 				</div><!-- .reply -->
! 			</article><!-- .comment-body -->
! <?php
  	}
  }
  
  /**
***************
*** 1417,1424 ****
  	$comment_alt = $comment_thread_alt = 0;
  	$comment_depth = 1;
  
! 	$defaults = array('walker' => null, 'max_depth' => '', 'style' => 'ul', 'callback' => null, 'end-callback' => null, 'type' => 'all',
! 		'page' => '', 'per_page' => '', 'avatar_size' => 32, 'reverse_top_level' => null, 'reverse_children' => '');
  
  	$r = wp_parse_args( $args, $defaults );
  
--- 1494,1514 ----
  	$comment_alt = $comment_thread_alt = 0;
  	$comment_depth = 1;
  
! 	$defaults = array(
! 		'walker'            => null,
! 		'max_depth'         => '',
! 		'style'             => 'ul',
! 		'callback'          => null,
! 		'end-callback'      => null,
! 		'type'              => 'all',
! 		'page'              => '',
! 		'per_page'          => '',
! 		'avatar_size'       => 32,
! 		'reverse_top_level' => null,
! 		'reverse_children'  => '',
! 		'format'            => current_theme_supports( 'html5', 'comment-list' ) ? 'html5' : 'xhtml',
! 		'short_ping'        => false,
! 	);
  
  	$r = wp_parse_args( $args, $defaults );
  
***************
*** 1507,1516 ****
   * @return void
   */
  function comment_form( $args = array(), $post_id = null ) {
- 	global $id;
- 
  	if ( null === $post_id )
! 		$post_id = $id;
  	else
  		$id = $post_id;
  
--- 1597,1604 ----
   * @return void
   */
  function comment_form( $args = array(), $post_id = null ) {
  	if ( null === $post_id )
! 		$post_id = get_the_ID();
  	else
  		$id = $post_id;
  
***************
*** 1518,1538 ****
  	$user = wp_get_current_user();
  	$user_identity = $user->exists() ? $user->display_name : '';
  
! 	$req = get_option( 'require_name_email' );
  	$aria_req = ( $req ? " aria-required='true'" : '' );
! 	$fields =  array(
  		'author' => '<p class="comment-form-author">' . '<label for="author">' . __( 'Name' ) . ( $req ? ' <span class="required">*</span>' : '' ) . '</label> ' .
  		            '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
  		'email'  => '<p class="comment-form-email"><label for="email">' . __( 'Email' ) . ( $req ? ' <span class="required">*</span>' : '' ) . '</label> ' .
! 		            '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
! 		'url'    => '<p class="comment-form-url"><label for="url">' . __( 'Website' ) . '</label>' .
! 		            '<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>',
  	);
  
  	$required_text = sprintf( ' ' . __('Required fields are marked %s'), '<span class="required">*</span>' );
  	$defaults = array(
  		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
! 		'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
  		'must_log_in'          => '<p class="must-log-in">' . sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',
--- 1606,1630 ----
  	$user = wp_get_current_user();
  	$user_identity = $user->exists() ? $user->display_name : '';
  
! 	if ( ! isset( $args['format'] ) )
! 		$args['format'] = current_theme_supports( 'html5', 'comment-form' ) ? 'html5' : 'xhtml';
! 
! 	$req      = get_option( 'require_name_email' );
  	$aria_req = ( $req ? " aria-required='true'" : '' );
! 	$html5    = 'html5' === $args['format'];
! 	$fields   =  array(
  		'author' => '<p class="comment-form-author">' . '<label for="author">' . __( 'Name' ) . ( $req ? ' <span class="required">*</span>' : '' ) . '</label> ' .
  		            '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
  		'email'  => '<p class="comment-form-email"><label for="email">' . __( 'Email' ) . ( $req ? ' <span class="required">*</span>' : '' ) . '</label> ' .
! 		            '<input id="email" name="email" ' . ( $html5 ? 'type="email"' : 'type="text"' ) . ' value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
! 		'url'    => '<p class="comment-form-url"><label for="url">' . __( 'Website' ) . '</label> ' .
! 		            '<input id="url" name="url" ' . ( $html5 ? 'type="url"' : 'type="text"' ) . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>',
  	);
  
  	$required_text = sprintf( ' ' . __('Required fields are marked %s'), '<span class="required">*</span>' );
  	$defaults = array(
  		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
! 		'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label> <textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
  		'must_log_in'          => '<p class="must-log-in">' . sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',
***************
*** 1543,1548 ****
--- 1635,1641 ----
  		'title_reply_to'       => __( 'Leave a Reply to %s' ),
  		'cancel_reply_link'    => __( 'Cancel reply' ),
  		'label_submit'         => __( 'Post Comment' ),
+ 		'format'               => 'xhtml',
  	);
  
  	$args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );
***************
*** 1550,1562 ****
  	?>
  		<?php if ( comments_open( $post_id ) ) : ?>
  			<?php do_action( 'comment_form_before' ); ?>
! 			<div id="respond">
! 				<h3 id="reply-title"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small><?php cancel_comment_reply_link( $args['cancel_reply_link'] ); ?></small></h3>
  				<?php if ( get_option( 'comment_registration' ) && !is_user_logged_in() ) : ?>
  					<?php echo $args['must_log_in']; ?>
  					<?php do_action( 'comment_form_must_log_in_after' ); ?>
  				<?php else : ?>
! 					<form action="<?php echo site_url( '/wp-comments-post.php' ); ?>" method="post" id="<?php echo esc_attr( $args['id_form'] ); ?>">
  						<?php do_action( 'comment_form_top' ); ?>
  						<?php if ( is_user_logged_in() ) : ?>
  							<?php echo apply_filters( 'comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity ); ?>
--- 1643,1655 ----
  	?>
  		<?php if ( comments_open( $post_id ) ) : ?>
  			<?php do_action( 'comment_form_before' ); ?>
! 			<div id="respond" class="comment-respond">
! 				<h3 id="reply-title" class="comment-reply-title"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small><?php cancel_comment_reply_link( $args['cancel_reply_link'] ); ?></small></h3>
  				<?php if ( get_option( 'comment_registration' ) && !is_user_logged_in() ) : ?>
  					<?php echo $args['must_log_in']; ?>
  					<?php do_action( 'comment_form_must_log_in_after' ); ?>
  				<?php else : ?>
! 					<form action="<?php echo site_url( '/wp-comments-post.php' ); ?>" method="post" id="<?php echo esc_attr( $args['id_form'] ); ?>" class="comment-form"<?php echo $html5 ? ' novalidate' : ''; ?>>
  						<?php do_action( 'comment_form_top' ); ?>
  						<?php if ( is_user_logged_in() ) : ?>
  							<?php echo apply_filters( 'comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity ); ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/cron.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/cron.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/cron.php	2012-09-25 00:26:19.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/cron.php	2013-03-03 10:30:38.000000000 -0600
***************
*** 230,236 ****
  		set_transient( 'doing_cron', $doing_wp_cron );
  
  		ob_start();
! 		wp_redirect( add_query_arg('doing_wp_cron', $doing_wp_cron, stripslashes($_SERVER['REQUEST_URI'])) );
  		echo ' ';
  
  		// flush any buffers and send the headers
--- 230,236 ----
  		set_transient( 'doing_cron', $doing_wp_cron );
  
  		ob_start();
! 		wp_redirect( add_query_arg( 'doing_wp_cron', $doing_wp_cron, wp_unslash( $_SERVER['REQUEST_URI'] ) ) );
  		echo ' ';
  
  		// flush any buffers and send the headers
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/default-constants.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/default-constants.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/default-constants.php	2012-11-10 12:13:09.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/default-constants.php	2013-02-28 13:01:07.000000000 -0600
***************
*** 12,18 ****
   *
   * @since 3.0.0
   */
! function wp_initial_constants( ) {
  	global $blog_id;
  
  	// set memory limits
--- 12,18 ----
   *
   * @since 3.0.0
   */
! function wp_initial_constants() {
  	global $blog_id;
  
  	// set memory limits
***************
*** 75,85 ****
  
  	// Constants for expressing human-readable intervals
  	// in their respective number of seconds.
!  	define( 'MINUTE_IN_SECONDS', 60 );
!  	define( 'HOUR_IN_SECONDS',   60 * MINUTE_IN_SECONDS );
!  	define( 'DAY_IN_SECONDS',    24 * HOUR_IN_SECONDS   );
  	define( 'WEEK_IN_SECONDS',    7 * DAY_IN_SECONDS    );
!  	define( 'YEAR_IN_SECONDS',  365 * DAY_IN_SECONDS    );
  }
  
  /**
--- 75,85 ----
  
  	// Constants for expressing human-readable intervals
  	// in their respective number of seconds.
! 	define( 'MINUTE_IN_SECONDS', 60 );
! 	define( 'HOUR_IN_SECONDS',   60 * MINUTE_IN_SECONDS );
! 	define( 'DAY_IN_SECONDS',    24 * HOUR_IN_SECONDS   );
  	define( 'WEEK_IN_SECONDS',    7 * DAY_IN_SECONDS    );
! 	define( 'YEAR_IN_SECONDS',  365 * DAY_IN_SECONDS    );
  }
  
  /**
***************
*** 89,95 ****
   *
   * @since 3.0.0
   */
! function wp_plugin_directory_constants( ) {
  	if ( !defined('WP_CONTENT_URL') )
  		define( 'WP_CONTENT_URL', get_option('siteurl') . '/wp-content'); // full url - WP_CONTENT_DIR is defined further up
  
--- 89,95 ----
   *
   * @since 3.0.0
   */
! function wp_plugin_directory_constants() {
  	if ( !defined('WP_CONTENT_URL') )
  		define( 'WP_CONTENT_URL', get_option('siteurl') . '/wp-content'); // full url - WP_CONTENT_DIR is defined further up
  
***************
*** 150,156 ****
   * Defines constants after multisite is loaded. Cookie-related constants may be overridden in ms_network_cookies().
   * @since 3.0.0
   */
! function wp_cookie_constants( ) {
  	/**
  	 * Used to guarantee unique hash cookies
  	 * @since 1.5
--- 150,156 ----
   * Defines constants after multisite is loaded. Cookie-related constants may be overridden in ms_network_cookies().
   * @since 3.0.0
   */
! function wp_cookie_constants() {
  	/**
  	 * Used to guarantee unique hash cookies
  	 * @since 1.5
***************
*** 235,241 ****
   *
   * @since 3.0.0
   */
! function wp_ssl_constants( ) {
  	/**
  	 * @since 2.6.0
  	 */
--- 235,241 ----
   *
   * @since 3.0.0
   */
! function wp_ssl_constants() {
  	/**
  	 * @since 2.6.0
  	 */
***************
*** 256,262 ****
   *
   * @since 3.0.0
   */
! function wp_functionality_constants( ) {
  	/**
  	 * @since 2.5.0
  	 */
--- 256,262 ----
   *
   * @since 3.0.0
   */
! function wp_functionality_constants() {
  	/**
  	 * @since 2.5.0
  	 */
***************
*** 284,290 ****
   *
   * @since 3.0.0
   */
! function wp_templating_constants( ) {
  	/**
  	 * Filesystem path to the current active template directory
  	 * @since 1.5.0
--- 284,290 ----
   *
   * @since 3.0.0
   */
! function wp_templating_constants() {
  	/**
  	 * Filesystem path to the current active template directory
  	 * @since 1.5.0
***************
*** 304,309 ****
  	 * @since 3.0.0
  	 */
  	if ( !defined('WP_DEFAULT_THEME') )
! 		define( 'WP_DEFAULT_THEME', 'twentytwelve' );
  
  }
--- 304,309 ----
  	 * @since 3.0.0
  	 */
  	if ( !defined('WP_DEFAULT_THEME') )
! 		define( 'WP_DEFAULT_THEME', 'twentythirteen' );
  
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/default-filters.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/default-filters.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/default-filters.php	2013-01-22 16:32:06.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/default-filters.php	2013-07-31 01:46:02.000000000 -0500
***************
*** 175,180 ****
--- 175,181 ----
  // Misc filters
  add_filter( 'option_ping_sites',        'privacy_ping_filter'                 );
  add_filter( 'option_blog_charset',      '_wp_specialchars'                    ); // IMPORTANT: This must not be wp_specialchars() or esc_html() or it'll cause an infinite loop
+ add_filter( 'option_blog_charset',      '_canonical_charset'                  );
  add_filter( 'option_home',              '_config_wp_home'                     );
  add_filter( 'option_siteurl',           '_config_wp_siteurl'                  );
  add_filter( 'tiny_mce_before_init',     '_mce_set_direction'                  );
***************
*** 195,200 ****
--- 196,203 ----
  add_filter( 'pingback_ping_source_uri', 'pingback_ping_source_uri'            );
  add_filter( 'xmlrpc_pingback_error',    'xmlrpc_pingback_error'               );
  
+ add_filter( 'http_request_host_is_external', 'allowed_http_request_hosts', 10, 2 );
+ 
  // Actions
  add_action( 'wp_head',             'wp_enqueue_scripts',              1     );
  add_action( 'wp_head',             'feed_links',                      2     );
***************
*** 249,255 ****
  add_action( 'plugins_loaded',             'wp_maybe_load_widgets',                    0    );
  add_action( 'plugins_loaded',             'wp_maybe_load_embeds',                     0    );
  add_action( 'shutdown',                   'wp_ob_end_flush_all',                      1    );
! add_action( 'pre_post_update',            'wp_save_post_revision'                          );
  add_action( 'publish_post',               '_publish_post_hook',                       5, 1 );
  add_action( 'transition_post_status',     '_transition_post_status',                  5, 3 );
  add_action( 'transition_post_status',     '_update_term_count_on_transition_post_status', 10, 3 );
--- 252,258 ----
  add_action( 'plugins_loaded',             'wp_maybe_load_widgets',                    0    );
  add_action( 'plugins_loaded',             'wp_maybe_load_embeds',                     0    );
  add_action( 'shutdown',                   'wp_ob_end_flush_all',                      1    );
! add_action( 'post_updated',               'wp_save_post_revision',                   10, 1 );
  add_action( 'publish_post',               '_publish_post_hook',                       5, 1 );
  add_action( 'transition_post_status',     '_transition_post_status',                  5, 3 );
  add_action( 'transition_post_status',     '_update_term_count_on_transition_post_status', 10, 3 );
***************
*** 290,293 ****
--- 293,304 ----
  // This option no longer exists; tell plugins we always support auto-embedding.
  add_filter( 'default_option_embed_autourls', '__return_true' );
  
+ // Default settings for heartbeat
+ add_filter( 'heartbeat_settings', 'wp_heartbeat_settings' );
+ 
+ // Check if the user is logged out
+ add_action( 'admin_enqueue_scripts',     'wp_auth_check_load'   );
+ add_filter( 'heartbeat_received',        'wp_auth_check', 10, 2 );
+ add_filter( 'heartbeat_nopriv_received', 'wp_auth_check', 10, 2 );
+ 
  unset($filter, $action);
